# Class BadTransformException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.media.j3d.BadTransformException

All Implemented Interfaces:
  `Serializable`

public class BadTransformException extends RuntimeException
Indicates an attempt to use a Tranform3D object that is inappropriate for the object in which it is being used. For example:

- Transforms that are used in the scene graph, within a TransformGroup node, must be affine. They may optionally contain a non-uniform scale and/or a shear, subject to other listed restrictions.
- All transforms in the TransformGroup nodes above a ViewPlatform object must be congruent. This ensures that the Vworld coordinates to ViewPlatform coordinates transform is angle and length-preserving with no shear and only uniform scale.
- Most viewing transforms other than those in the scene graph can only contain translation and rotation.
- The projection transform is allowed to be non-affine, but it must either be a single point perspective projection or a parallel projection.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadTransformException()`
Create the exception object with default values.
`BadTransformException(String str)`
Create the exception object that outputs message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadTransformException

public BadTransformException()
Create the exception object with default values.

### BadTransformException

public BadTransformException(String str)
Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.